// ///////////////////////////////////////////////////////////////////////// //
/// AUTHOR: Alexis Angelidis
/// STARTED: Tue Feb 10 22:39:20 NZDT 2004
// ///////////////////////////////////////////////////////////////////////// //
#include "sfSparseMatrix.h"

// ///////////////////////////////////////////////////////////////////////// //
int	*MultiMatrix::_s_rowCol(0);
int	*UniMatrix::_s_rowCol(0);

// ///////////////////////////////////////////////////////////////////////// //
void	UniMatrix::precomputeRowCol(const int	,
				    const int	y,
				    const int	z,
				    const int	size)
{
  static bool	done(false);

  if (done)
    return;
  _s_rowCol = new int[7 * size];
  for (int i(0); i < size; ++i)
    {
      _s_rowCol[i * 7 + 3] = i;
      _s_rowCol[i * 7 + 0] = i - y * z;
      _s_rowCol[i * 7 + 1] = i - z;
      _s_rowCol[i * 7 + 2] = i - 1;
      _s_rowCol[i * 7 + 4] = i + 1;
      _s_rowCol[i * 7 + 5] = i + z;
      _s_rowCol[i * 7 + 6] = i + y * z;
    }
  done = true;
}
