// ************************************************************************* //
/// AUTHOR: Alexis Angelidis
/// STARTED: Thu Nov 20 17:49:55 NZDT 2003
// ************************************************************************* //
#ifndef __SWPTOOLSTRANGLE_HH__
#define __SWPTOOLSTRANGLE_HH__

// ************************************************************************* //
#include "gfxTypes.h"
#include "swpTool.h"

// ************************************************************************* //
class ToolStrangle: public Tool
{
public:
  ToolStrangle(const double k): Tool(k) {}
  double	field(const Point3d &, const Matrix4d &,
		      const Matrix4d &) const { return 0.0; }
  BBox3d	getBBox(const Matrix4d &, const Matrix4d &) const
  { return BBox3d(); }
  void		glRender() const;
  Sweep		*newSweep(const int sym, const Matrix4d &msrc,
			  const Transformation &transf) const;
};

// ************************************************************************* //
#endif//__SWPTOOLSTRANGLE_HH__

