// ************************************************************************* //
/// AUTHOR: Alexis Angelidis
/// STARTED: Sat Jan 17 18:54:28 NZDT 2004
// ************************************************************************* //
#ifndef	__SWPTOOLSTOKES_HH__
#define	__SWPTOOLSTOKES_HH__

// ************************************************************************* //
#include "swpTool.h"

// ************************************************************************* //
class ToolStokes: public Tool
{
  mutable double	_m_rad;
  mutable Point3d	_m_p;
  mutable Vector3d	_m_v;
public:
  ToolStokes(const double k);
  double	field(const Point3d &p, const Matrix4d &m,
		      const Matrix4d &invm) const;
  BBox3d	getBBox(const Matrix4d &m, const Matrix4d &invm) const;
  Sweep		*newSweep(const int sym, const Matrix4d &msrc,
			  const Transformation &transf) const;
  void	glRender() const;
};

// ************************************************************************* //
#endif//__SWPTOOLSTOKES_HH__
