// ************************************************************************* //
/// AUTHOR: Alexis Angelidis
/// STARTED: Tue Nov 25 13:45:28 NZDT 2003
// ************************************************************************* //
#ifdef WIN32
#include <windows.h>
#endif
#include <GL/gl.h>
#include "swpToolStrangle.h"

// ************************************************************************* //
void	ToolStrangle::glRender() const
{
  const double	ainc(0.2);
  double	sina, cosa;
  
  glPushAttrib(GL_LINE_BIT);
  glPushMatrix();
  _m_m.glMultMatrix();
  glLineWidth(4.0);
  glBegin(GL_LINE_LOOP);
  for (double a(0.0); a < 2.0 * M_PI; a += ainc)
    {
      glNormal3d(cosa = cos(a), sina = sin(a), 0.0);
      glVertex3d(cosa, sina, 0.0);
    }
  glNormal3d(1.0, 0.0, 0.0);
  glVertex3d(1.0, 0.0, 0.0);
  glEnd();
  glPopMatrix();//GL_MODELVIEW
  glPopAttrib();//GL_LINE_BIT
}

// ************************************************************************* //
Sweep	*ToolStrangle::newSweep(const int		,
				const Matrix4d		&,
				const Transformation	&) const
{
  return 0;
}
