// ************************************************************************* //
/// AUTHOR: Alexis Angelidis
/// STARTED: Sat Jan 17 18:54:28 NZDT 2004
// ************************************************************************* //
#ifndef	__SWPTOOLZOOM_HH__
#define	__SWPTOOLZOOM_HH__

// ************************************************************************* //
#include "swpTool.h"

// ************************************************************************* //
class ToolZoom: public Tool
{
public:
  ToolZoom(const double k);
  double	field(const Point3d &p, const Matrix4d &m,
		      const Matrix4d &invm) const;
  BBox3d	getBBox(const Matrix4d &m, const Matrix4d &invm) const;
  Sweep		*newSweep(const int sym, const Matrix4d &msrc,
			  const Transformation &transf) const;
  void	glRender() const;
};

// ************************************************************************* //
#endif//__SWPTOOLZOOM_HH__

